#include "general.h"

SdFat sd;

void InitSdCard()
{
  Serial.println(F("Initialising SD card..."));
  bool mysd = 0;
  // see if the card is present and can be initialized:
  while (!mysd)
  {
    if (!sd.begin(SD_CHIP_SELECT, SPI_FULL_SPEED)) {
      Serial.println(F("Card failed, or not present"));
      Serial.println(F("Retrying...."));
    }
    else
    {
      mysd = 1;
      Serial.println(F("Card initialised."));
    }
  }
}


//laden von Schriftarten
//werden gar nicht benutzt
//extern uint8_t SmallFont[];
//extern uint8_t BigFont[];



void baueStandardBild()
{
  myFiles.load(0, 0, 800, 480, "Main.raw", 1 , 1);//Startbildschirm
  myFiles.load(35, 10, 217, 80, "Off.raw", 1 , 1);//Startbildschirm
  myFiles.load(35, 105, 80, 80, "1.raw", 1 , 1);//Startbildschirm
  myFiles.load(35, 203, 217, 80, "Dreieck.raw", 1 , 1);//Startbildschirm
  myFiles.load(35, 303, 217, 80, "Rechteck.raw", 1 , 1);//Startbildschirm
  myFiles.load(285, 390, 80, 80, "10.raw", 1 , 1);//Startbildschirm
  myFiles.load(398, 390, 80, 80, "0.raw", 1 , 1);//Startbildschirm
  myFiles.load(478, 225, 217, 80, "10Hz.raw", 1 , 1);//Startbildschirm
  myFiles.load(478, 51, 217, 80, "50%.raw", 1 , 1);//Startbildschirm
}

void refreshScreeen()
{
  if (refresh_ChangeAmplifier)
  {
    refresh_ChangeAmplifier = 0;
    if (state_ChangeAmplifier == 0)
    {
      myFiles.load(35, 105, 80, 80, "1.raw", 1 , 1);
    }
    else
    {
      myFiles.load(35, 105, 80, 80, "2.raw", 1 , 1);
    }
  }
  if (refresh_ChangeForm)
  {
    refresh_ChangeForm = 0;
    if (state_ChangeForm == 0)
    {
      myFiles.load(35, 203, 217, 80, "Dreieck.raw", 1 , 1);
    }
    else
    {
      myFiles.load(35, 203, 217, 80, "Rechteck.raw", 1 , 1);
    }
  }
  if (refresh_ChangeMode)
  {
    refresh_ChangeMode = 0;
    if (state_ChangeMode == 0)
    {
      myFiles.load(35, 305, 217, 80, "Dreieck.raw", 1 , 1);
    }
    else
    {
      myFiles.load(35, 305, 217, 80, "Rechteck.raw", 1 , 1);
    }
  }
  if (refresh_Hertz)
  {
    refresh_Hertz = 0;
    myFiles.load(475, 225, 217, 80, NamePicHertz[counter_Hertz], 1 , 1);//Startbildschirm
  }
  if (refresh_Power)
  {
    refresh_Power = 0;
    myFiles.load(475, 51, 217, 80, NamePicPower[counter_Power], 1 , 1);//Startbildschirm
  }
  if (refresh_StartStop)
  {
    refresh_StartStop = 0;

    if (state_StartStop)
    {
      myFiles.load(35, 15, 217, 80, "On.raw", 1 , 1);//Startbildschirm
    }
    else
    {
      myFiles.load(35, 15, 217, 80, "Off.raw", 1 , 1);//Startbildschirm
    }

    if (counterSekunden < 0)
    {
      counterSekunden = 59;
      counterMinuten--;
    }
    myFiles.load(410, 390, 80, 80, NameTime[counterSekunden], 1 , 1);//Startbildschirm
    myFiles.load(275, 390, 80, 80, NameTime[counterMinuten], 1 , 1);//Startbildschirm
  }
}
