/*
   In dieser Datei werden alle Variablen und definitionen der restlichen Dateien initialisiert.
   So kann aus allen Dokumenten zentral auf diese zugegriffen werden
*/



#ifndef GLOBALS_H_ //verhindern das die Datei zweimal aufgerufen wird
#define GLOBALS_H_

#ifndef EXTERN
#define EXTERN extern
#endif //EXTERN

//**************************** Abschnitt für die Taster **************************
EXTERN bool state_Button_HertzMinus, state_Button_HertzPlus, state_Button_PowerMinus, state_Button_PowerPlus, state_Button_ChangeMode, state_Button_ChangeForm, state_Button_ChangeAmplifier, state_Button_StartStop, state_ButtonLong_StartStop;

//**************************** Abschnitt für die Taster **************************
EXTERN bool paused;


EXTERN int counterMenu = 0;
#define treatmentScreen 0
#define waitForInAnyInput 1
#define buildsettingScreen 2
#define waitforSettings 3
#define waitforEnd 4


//**************************** Abschnitt für die SD-Karte **************************
//Initialisierung SD-Karte
#include <SPI.h>
// SdFat lib from here :-
// https://github.com/greiman/SdFat/archive/master.zip
#include "SdFat.h"
#include "sdios.h"

#define SD_CHIP_SELECT  53  // SD chip select pin
// file system object

//**************************** Abschnitt für die SD-Karte **************************



//**************************** Abschnitt für das Display **************************
//Initialisierung Display
#include <UTFT.h>
#include <UTFT_SdRaw.h>

UTFT myGLCD(SSD1963_800, 38, 39, 40, 41);
UTFT_SdRaw myFiles(&myGLCD);

//Variablen zur aktualisierung von bestimmten Display Abschnitten
EXTERN bool refresh_StartStop, refresh_ChangeForm, refresh_ChangeAmplifier, refresh_ChangeMode, refresh_Hertz, refresh_Power;

//Speicherorte der Dateinamen der verwendeten Grafiken
EXTERN char NamePicHertz[25][12] = {{"10Hz.raw"}, {"20Hz.raw"}, {"30Hz.raw"}, {"40Hz.raw"}, {"50Hz.raw"}, {"60Hz.raw"}, {"70Hz.raw"}, {"80Hz.raw"}, {"90Hz.raw"}, {"100Hz.raw"}, {"110Hz.raw"}, {"120Hz.raw"}, {"130Hz.raw"}, {"140Hz.raw"}, {"150Hz.raw"}, {"160Hz.raw"}, {"170Hz.raw"}, {"180Hz.raw"}, {"190Hz.raw"}, {"200Hz.raw"}, {"210Hz.raw"}, {"220Hz.raw"}, {"230Hz.raw"}, {"240Hz.raw"}, {"250Hz.raw"}};
EXTERN char NamePicPower[20][12] = {{"5%.raw"}, {"10%.raw"}, {"15%.raw"}, {"20%.raw"}, {"25%.raw"}, {"30%.raw"}, {"35%.raw"}, {"40%.raw"}, {"45%.raw"}, {"50%.raw"}, {"55%.raw"}, {"60%.raw"}, {"65%.raw"}, {"70%.raw"}, {"75%.raw"}, {"80%.raw"}, {"85%.raw"}, {"90%.raw"}, {"95%.raw"}, {"100%.raw"}};
EXTERN char NameTime[61][10] = {{"0.raw"}, {"1.raw"}, {"2.raw"}, {"3.raw"}, {"4.raw"}, {"5.raw"}, {"6.raw"}, {"7.raw"}, {"8.raw"}, {"9.raw"}, {"10.raw"}, {"11.raw"}, {"12.raw"}, {"13.raw"}, {"14.raw"}, {"15.raw"}, {"16.raw"}, {"17.raw"}, {"18.raw"}, {"19.raw"}, {"20.raw"}, {"21.raw"}, {"22.raw"}, {"23.raw"}, {"24.raw"}, {"25.raw"}, {"26.raw"}, {"27.raw"}, {"28.raw"}, {"29.raw"}, {"30.raw"}, {"31.raw"}, {"32.raw"}, {"33.raw"}, {"34.raw"}, {"35.raw"}, {"36.raw"}, {"37.raw"}, {"38.raw"}, {"39.raw"}, {"40.raw"}, {"41.raw"}, {"42.raw"}, {"43.raw"}, {"44.raw"}, {"45.raw"}, {"46.raw"}, {"47.raw"}, {"48.raw"}, {"49.raw"}, {"50.raw"}, {"51.raw"}, {"52.raw"}, {"53.raw"}, {"54.raw"}, {"55.raw"}, {"56.raw"}, {"57.raw"}, {"58.raw"}, {"59.raw"}, {"60.raw"}};

//**************************** Abschnitt für das Display **************************



//**************************** Abschnitt für das Menü **************************
EXTERN bool state_StartStop, state_ChangeForm, state_ChangeMode;

EXTERN bool state_ChangeAmplifier; 
//0 = kleine Leistung //Timer 1 //Pin11
//1 = große Leistung  //Timer 4 //Pin8

EXTERN uint8_t counter_Hertz, counter_Power;

EXTERN int counterSekunden = 0, counterMinuten = 10;
EXTERN unsigned long lastTimeTimer1s, lastTimeTimer1m;

//**************************** Abschnitt für das Menü **************************


//**************************** Abschnitt für den Frequenzgenerator **************************
uint16_t wertVergleichsRegister[25] = {
  635,//10Hz
  448,//20Hz
  365,//30Hz
  316,//40Hz
  282,//50Hz
  258,//60Hz
  239,//70Hz
  223,//80Hz
  211,//90Hz
  200,//100Hz
  190,//110Hz
  182,//120Hz
  175,//130Hz
  169,//140Hz
  163,//150Hz
  158,//160Hz
  153,//170Hz
  149,//180Hz
  145,//190Hz
  141,//200Hz
  138,//210Hz
  135,//220Hz
  132,//230Hz
  129,//240Hz
  126,//250Hz
};
//**************************** Abschnitt für den Frequenzgenerator **************************


#endif /* GLOBALS_H_ */
